xpra icon
Bug tracker and wiki

Opened 4 years ago

Closed 3 years ago

#984 closed defect (fixed)

OSX Client fails to run because of gatekeeper changes in OSX 10.10.4+

Reported by: Smo Owned by: Antoine Martin
Priority: blocker Milestone: 0.16
Component: client Version: trunk
Keywords: Cc: alexander@…

Description

This is also true of 10.9.5 and 10.8.5 if they have a security update installed.

Some relevant information
https://developer.apple.com/library/mac/technotes/tn2206/_index.html#//apple_ref/doc/uid/DTS40007919-CH1-TNTAG207

Attachments (1)

gst-plugin-scanner-crashlog.txt (43.1 KB) - added by Smo 4 years ago.

Download all attachments as: .zip

Change History (19)

comment:1 Changed 4 years ago by Smo

I'm in the middle of trying to reproduce this myself but the error looks something like this.

Contents/Helpers/gst-plugin-scanner failed on loadCmd /Users/dev/gtk/inst/lib/libgstreamer-0.10.0.dylib
CoreServicesUIAgent[5656]: Fails dylib check

Its an issue with gst-plugin-scanner because we use the <data> tag in the .bundle file for gtk-mac-bundler changing this to <binary> tag instead fixes the problem with this one.

Opened this ticket as there are more issues with python modules which we need to address even after fixing gst-plugin-scanner which prevent python from staring with a message like

Fatal Python error: PyThreadState_Get: no current thread

comment:2 Changed 4 years ago by Smo

Component: androidclient
Version: 0.15.xtrunk

comment:3 Changed 4 years ago by Antoine Martin

Owner: changed from Antoine Martin to Smo

@smo: do we need newer build tools for any of this? if so, might be worth looking into #840

comment:4 Changed 4 years ago by Antoine Martin

See also #970

comment:5 Changed 4 years ago by Smo

If we put the Contents folder in the bundle using the <binary> tag its a little better but still misses a lot of the .so python modules and doesn't run install_name_tool on those.

We still may need to crawl through the rest to fix them up. Or fix gtk-mac-bundler so it finds them?

I don't have a machine to reproduce this on but I can take a look at the libraries with otool -L libname.so on my build machine which is 10.5 32bit to confirm.

comment:6 Changed 4 years ago by Smo

Got some output today that helps illustrate the issues.

On OSX version 10.11

testuser$ ./Contents/Helpers/Xpra_Launcher 
2015-10-08 13:36:21,274 xpra gtk2 client version 0.15.6 (r10632)
dyld: Library not loaded: /Users/osx/gtk/inst/lib/libgstreamer-0.10.0.dylib
  Referenced from: /Volumes/Xpra/Xpra.app/Contents/Helpers/gst-plugin-scanner
  Reason: image not found

If I change in Xpra.bundle to make gst-plugin-scanner included with a <binary> tag

./Contents/Helpers/Xpra_Launcher 
xpra gtk2 client version 0.16.0-r10765

No output but we do get another crashlog which I will attach. It seems to me that it is loading the system python dylib from /usr/lib instead of ours

I can get the same crash if I run python from the bundle and import pygst

./Contents/Helpers/Python
Python 2.7.10 (default, Aug 13 2015, 12:46:48) 
[GCC 4.2.1 (Apple Inc. build 5577)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> import gst

(gst-plugin-scanner:2758): GStreamer-WARNING **: Failed to load plugin '/Volumes/Xpra/Xpra.app/Contents/Resources/lib/gstreamer-0.10/libgstapplemedia.so': dlopen(/Volumes/Xpra/Xpra.app/Contents/Resources/lib/gstreamer-0.10/libgstapplemedia.so, 2): Library not loaded: @executable_path/../Resources/lib/libgstvideo-0.10.0.dylib
  Referenced from: /Volumes/Xpra/Xpra.app/Contents/Resources/lib/gstreamer-0.10/libgstapplemedia.so
  Reason: image not found
Fatal Python error: PyThreadState_Get: no current thread

Again it looks like we are mixing our packaged python with the system python since it is python 2.7.10.

Maybe the crashlog can help find how the system python is being loaded.

Changed 4 years ago by Smo

comment:7 Changed 4 years ago by Antoine Martin

Do we even need libgstapplemedia?
We don't need any of the video stuff for xpra.. so we definitely don't need libgstvideo. It might help.

(I may need those for winswitch but that's a different problem - and I'll probably just drop them in that case)

comment:8 Changed 4 years ago by altimin

Cc: alexander@… added

comment:9 Changed 4 years ago by Smo

Looks like the culprit was gst-plugin-scanner which would in turn load libgstpython.so

libgstpython had a hardcoded path when they detected osx on build time which was set to load python from /usr/lib which is when problems occur.

There is an override to this so I set it to the path we would look for in our bundle. This has been fixed in r10884.

I will make the necessary change to the bundle file and test to make sure this fix works.

comment:10 Changed 4 years ago by Smo

Tested with the change in r10885 application fires up no problem and sound seems to work okay for me.

You may need to do rm ~/.cache/jhbuild/xpra.modules && jhbuild buildone gst-python --force to get this change in there.

comment:11 Changed 4 years ago by Antoine Martin

Priority: majorcritical

backports: v0.14.x and v0.15.x:

I have rebuilt and uploaded beta builds for all branches, can you please confirm that those builds run on "El Capitan" then I think we can close this ticket?

comment:12 Changed 3 years ago by Smo

Just waiting on some feedback on this one as I can't test it myself right now.

comment:13 Changed 3 years ago by alas

Tested on El Capitan with the 0.16.0 r11058 build from your repo.

Errr, it installs (after the appropriate clicks to acknowledge unknown developer), but failed to run, either from the GUI launcher, or from the command line.

Attempting to launch with -d client I got the following (not sure if it's any use, but couldn't hurt):

./Xpra attach tcp:10.0.70.59:2200 -d client
2015-10-27 13:19:31,076 XpraClientBase.defaults_init() os.environ:
2015-10-27 13:19:31,076  CHARSETALIASDIR=/Applications/Xpra.app/Contents/Resources/lib
2015-10-27 13:19:31,076  PYTHON=/Applications/Xpra.app/Contents/Resources/bin/Xpra
2015-10-27 13:19:31,076  GTK_DATA_PREFIX=/Applications/Xpra.app/Contents/Resources
2015-10-27 13:19:31,076  TERM_PROGRAM_VERSION=361
2015-10-27 13:19:31,076  GTK_EXE_PREFIX=/Applications/Xpra.app/Contents/Resources
2015-10-27 13:19:31,076  LOGNAME=maint
2015-10-27 13:19:31,076  USER=maint
2015-10-27 13:19:31,076  PATH=/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/sbin
2015-10-27 13:19:31,076  HOME=/Users/maint
2015-10-27 13:19:31,076  TERM_PROGRAM=Apple_Terminal
2015-10-27 13:19:31,077  LANG=C
2015-10-27 13:19:31,077  TERM=xterm-256color
2015-10-27 13:19:31,077  SHELL=/bin/bash
2015-10-27 13:19:31,077  SHLVL=1
2015-10-27 13:19:31,077  GST_PLUGIN_PATH=/Applications/Xpra.app/Contents/Resources/lib/gstreamer-0.10
2015-10-27 13:19:31,077  XPC_FLAGS=0x0
2015-10-27 13:19:31,077  PANGO_SYSCONFDIR=/Applications/Xpra.app/Contents/Resources/etc
2015-10-27 13:19:31,077  GTK_PATH=/Applications/Xpra.app/Contents/Resources
2015-10-27 13:19:31,077  TERM_SESSION_ID=DEC828FB-4CFE-4B0A-A994-21CA805382E5
2015-10-27 13:19:31,077  SSH_AUTH_SOCK=/private/tmp/com.apple.launchd.RQOT52eWl1/Listeners
2015-10-27 13:19:31,078  PYTHONPATH=/Applications/Xpra.app/Contents/Resources/lib/pygtk/2.0:/Applications/Xpra.app/Contents/Resources/lib/python/:/Applications/Xpra.app/Contents/Resources/lib/python/lib-dynload/:/Applications/Xpra.app/Contents/Resources/lib:
2015-10-27 13:19:31,078  XPC_SERVICE_NAME=0
2015-10-27 13:19:31,078  PANGO_RC_FILE=/Applications/Xpra.app/Contents/Resources/etc/pango/pangorc
2015-10-27 13:19:31,078  DYLD_LIBRARY_PATH=/Applications/Xpra.app/Contents/Resources/lib
2015-10-27 13:19:31,078  GST_PLUGIN_SCANNER=/Applications/Xpra.app/Contents/Helpers/gst-plugin-scanner
2015-10-27 13:19:31,078  Apple_PubSub_Socket_Render=/private/tmp/com.apple.launchd.DkCsP7ok6H/Render
2015-10-27 13:19:31,078  GTK2_RC_FILES=/Applications/Xpra.app/Contents/Resources/etc/gtk-2.0/gtkrc
2015-10-27 13:19:31,078  TMPDIR=/var/folders/fg/mj4tyczs4kvcg3_7ysqn4hb00000gn/T/
2015-10-27 13:19:31,078  PANGO_LIBDIR=/Applications/Xpra.app/Contents/Resources/lib
2015-10-27 13:19:31,078  XDG_CONFIG_DIRS=/Applications/Xpra.app/Contents/Resources/etc/xdg
2015-10-27 13:19:31,078  GDK_PIXBUF_MODULE_FILE=/Applications/Xpra.app/Contents/Resources/etc/gtk-2.0/gdk-pixbuf.loaders
2015-10-27 13:19:31,079  PYTHONHOME=/Applications/Xpra.app/Contents/Resources
2015-10-27 13:19:31,079  GTK_IM_MODULE_FILE=/Applications/Xpra.app/Contents/Resources/etc/gtk-2.0/gtk.immodules
2015-10-27 13:19:31,079  __CF_USER_TEXT_ENCODING=0x1F5:0x0:0x0
2015-10-27 13:19:31,079  XDG_DATA_DIRS=/Applications/Xpra.app/Contents/Resources/share
2015-10-27 13:19:31,079  PWD=/Applications/Xpra.app/Contents/MacOS
2015-10-27 13:19:31,079 Xpra gtk2 client version 0.16.0-r11058
2015-10-27 13:19:31,080  running on Mac OS X

The server never acknowledged that it had been contacted, and actually... just noticed the client has been hung in this state for the last hour, while I've been trying to figure out what's going on with application scaling on another machine.

I assume there's no point in also trying any 0.15 & 0.14 builds yet?

comment:14 Changed 3 years ago by Antoine Martin

I assume there's no point in also trying any 0.15 & 0.14 builds yet?


It would tell us if the bug is due to the build environment or if it is specific to trunk.
Having -d all would also help to see where it gets stuck.
Sounds like it could be similar to #1004.

comment:15 Changed 3 years ago by alas

Hmm... found a chance to run (well, have someone run) with 0.15 and 0.14 builds.

  • 0.15.8 ./xpra attach -d all:
2015-10-29 16:21:02,210 do_init() osxapp=<gtkosx_application.Application object at 0x95c0490 (GtkosxApplication at 0x4050a90)>
2015-10-29 16:21:02,211 get_resources_dir() gtkosx_application_get_resource_path=/Applications/Xpra.app/Contents/Resources/bin
2015-10-29 16:21:02,211 get_resources_dir()=/Applications/Xpra.app/Contents/Resources/
2015-10-29 16:21:02,211 get_icon_dir()=/Applications/Xpra.app/Contents/Resources/share/xpra/icons
2015-10-29 16:21:02,220 do_init() icon=<gtk.gdk.Pixbuf object at 0x95c08f0 (GdkPixbuf at 0x10265b0)>
2015-10-29 16:21:02,235 pycups settings: DEFAULT_CUPS_DBUS=0, CUPS_DBUS=False, POLLING_DELAY=60
2015-10-29 16:21:02,235 pycups settings: PRINTER_PREFIX=, ADD_LOCAL_PRINTERS=False
2015-10-29 16:21:02,235 pycups settings: PPD_FILE=, ALLOW=maint
2015-10-29 16:21:02,235 pycups settings: FORWARDER_TMPDIR=/var/folders/fg/mj4tyczs4kvcg3_7ysqn4hb00000gn/T/
2015-10-29 16:21:02,235 OSXMenuHelper(None)
2015-10-29 16:21:02,235 do_init() menu helper=<xpra.platform.darwin.osx_menu.OSXMenuHelper object at 0x96429b0>
2015-10-29 16:21:02,235 OSXMenuHelper.build_dock_menu()
2015-10-29 16:21:02,242 get_resources_dir() gtkosx_application_get_resource_path=/Applications/Xpra.app/Contents/Resources/bin
2015-10-29 16:21:02,242 get_resources_dir()=/Applications/Xpra.app/Contents/Resources/
2015-10-29 16:21:02,242 get_icon_dir()=/Applications/Xpra.app/Contents/Resources/share/xpra/icons
2015-10-29 16:21:02,243 get_image(information.png, 16) pixbuf=<gtk.gdk.Pixbuf object at 0x9643620 (GdkPixbuf at 0x10268f8)>
2015-10-29 16:21:02,246 OSXMenuHelper.rebuild()
2015-10-29 16:21:02,246 OSXMenuHelper.build()
2015-10-29 16:21:02,246 OSXMenuHelper.build_menu_bar()
2015-10-29 16:21:02,246 get_resources_dir() gtkosx_application_get_resource_path=/Applications/Xpra.app/Contents/Resources/bin
2015-10-29 16:21:02,246 get_resources_dir()=/Applications/Xpra.app/Contents/Resources/
2015-10-29 16:21:02,247 get_icon_dir()=/Applications/Xpra.app/Contents/Resources/share/xpra/icons
2015-10-29 16:21:02,247 get_image(information.png, 16) pixbuf=<gtk.gdk.Pixbuf object at 0x9643788 (GdkPixbuf at 0x389f328)>
2015-10-29 16:21:02,285 encoder abi is too low to enable YUV444P: 6
2015-10-29 16:21:02,287 vp8 codec defaults:
2015-10-29 16:21:02,287  target_bitrate=256
2015-10-29 16:21:02,287  min_quantizer=4
2015-10-29 16:21:02,287  max_quantizer=63
2015-10-29 16:21:02,287  undershoot_pct=100
2015-10-29 16:21:02,287  overshoot_pct=100
2015-10-29 16:21:02,287 our configuration:
2015-10-29 16:21:02,287  target_bitrate=1
2015-10-29 16:21:02,287  min_quantizer=35
2015-10-29 16:21:02,288  max_quantizer=47
2015-10-29 16:21:02,288  undershoot_pct=100
2015-10-29 16:21:02,288  overshoot_pct=100
2015-10-29 16:21:02,289 vpx_codec_enc_init_ver for vp8 succeeded
2015-10-29 16:21:02,290 vp8 setting cpu speed to -5
2015-10-29 16:21:02,291 vp8 setting cpu speed to -10
2015-10-29 16:21:02,292 vpx_codec_encode for vp8 took 1.5ms (deadline=0ms for speed=-1, quality=-1)
2015-10-29 16:21:02,292 vpx returning vp8 image: 72 bytes
2015-10-29 16:21:02,293 vp9 codec defaults:
2015-10-29 16:21:02,293  target_bitrate=256
2015-10-29 16:21:02,293  min_quantizer=0
2015-10-29 16:21:02,293  max_quantizer=63
2015-10-29 16:21:02,293  undershoot_pct=100
2015-10-29 16:21:02,293  overshoot_pct=100
2015-10-29 16:21:02,293 our configuration:
2015-10-29 16:21:02,294  target_bitrate=1
2015-10-29 16:21:02,294  min_quantizer=35
2015-10-29 16:21:02,294  max_quantizer=47
2015-10-29 16:21:02,294  undershoot_pct=100
2015-10-29 16:21:02,294  overshoot_pct=100
2015-10-29 16:21:02,305 vpx_codec_enc_init_ver for vp9 succeeded
2015-10-29 16:21:02,305 vp9 setting cpu speed to -3
2015-10-29 16:21:02,305 vp9 setting lossless to 0
2015-10-29 16:21:02,305 vp9 setting cpu speed to -5
2015-10-29 16:21:02,305 vp9 setting lossless to 0
2015-10-29 16:21:02,309 vpx_codec_encode for vp9 took 4.0ms (deadline=0ms for speed=-1, quality=-1)
2015-10-29 16:21:02,309 vpx returning vp9 image: 34 bytes
2015-10-29 16:21:02,341 av_enum(AV_PIX_FMT_RGB24)=2
2015-10-29 16:21:02,343 av_enum(AV_PIX_FMT_BGR24)=3
2015-10-29 16:21:02,343 av_enum(AV_PIX_FMT_0RGB)=295
2015-10-29 16:21:02,343 av_enum(AV_PIX_FMT_BGR0)=298
2015-10-29 16:21:02,343 av_enum(AV_PIX_FMT_ARGB)=27
2015-10-29 16:21:02,343 av_enum(AV_PIX_FMT_BGRA)=30
2015-10-29 16:21:02,343 av_enum(AV_PIX_FMT_YUV420P)=0
2015-10-29 16:21:02,343 av_enum(AV_PIX_FMT_YUV422P)=4
2015-10-29 16:21:02,343 av_enum(AV_PIX_FMT_YUV444P)=5
2015-10-29 16:21:02,344 av_enum(AV_PIX_FMT_GBRP)=82
2015-10-29 16:21:02,344 swscale pixel formats: {'YUV422P': <xpra.codecs.csc_swscale.colorspace_converter.CSCPixelFormat object at 0x97fd758>, 'BGR': <xpra.codecs.csc_swscale.colorspace_converter.CSCPixelFormat object at 0x97fd678>, 'BGRX': <xpra.codecs.csc_swscale.colorspace_converter.CSCPixelFormat object at 0x97fd6b0>, 'GBRP': <xpra.codecs.csc_swscale.colorspace_converter.CSCPixelFormat object at 0x97fd7c8>, 'RGB': <xpra.codecs.csc_swscale.colorspace_converter.CSCPixelFormat object at 0x97fd640>, 'YUV420P': <xpra.codecs.csc_swscale.colorspace_converter.CSCPixelFormat object at 0x97fd6e8>, 'XRGB': <xpra.codecs.csc_swscale.colorspace_converter.CSCPixelFormat object at 0x97fd720>, 'YUV444P': <xpra.codecs.csc_swscale.colorspace_converter.CSCPixelFormat object at 0x97fd790>}
2015-10-29 16:21:02,344 colorspaces: ['RGB', 'BGR', 'XRGB', 'BGRX', 'YUV420P', 'YUV422P', 'YUV444P', 'GBRP']
2015-10-29 16:21:02,344 SWS_BICUBIC=4
2015-10-29 16:21:02,344 ('SWS_BICUBIC',)=4
2015-10-29 16:21:02,344 SWS_BICUBLIN=64
2015-10-29 16:21:02,344 ('SWS_BICUBLIN',)=64
2015-10-29 16:21:02,344 SWS_BILINEAR=2
2015-10-29 16:21:02,345 ('SWS_BILINEAR',)=2
2015-10-29 16:21:02,345 SWS_FAST_BILINEAR=1
2015-10-29 16:21:02,345 ('SWS_FAST_BILINEAR',)=1
2015-10-29 16:21:02,345 swscale flags: [(30, <xpra.codecs.csc_swscale.colorspace_converter.SWSFlags object at 0x97f0458>), (40, <xpra.codecs.csc_swscale.colorspace_converter.SWSFlags object at 0x97f04a0>), (60, <xpra.codecs.csc_swscale.colorspace_converter.SWSFlags object at 0x97f04b8>), (80, <xpra.codecs.csc_swscale.colorspace_converter.SWSFlags object at 0x97f04e8>)]
2015-10-29 16:21:02,347 csc_cython: byteorder(BGRA)=(0, 1, 2, 3)
2015-10-29 16:21:02,347 csc_cython: byteorder(BGR)=(2, 1, 0)
2015-10-29 16:21:02,347 csc_cython: byteorder(RGBX)=(0, 1, 2, 3)
2015-10-29 16:21:02,347 csc_cython: byteorder(RGB)=(2, 1, 0)
2015-10-29 16:21:02,355 avcodec2.init_module: CODECS=['h264', 'vp8', 'vp9', 'h265']
2015-10-29 16:21:02,358 webp.compress(1536 bytes, 24, 16, 24, 50, 50, True) buf=0x18b2800
2015-10-29 16:21:02,358 webp.compress config: lossless=0, quality=50.0, method=3, alpha=1,1,50
2015-10-29 16:21:02,363 webp.compress ratio=22%
2015-10-29 16:21:02,363 webp.compress(1536 bytes, 24, 16, 24, 50, 50, False) buf=0x18b2800
2015-10-29 16:21:02,363 webp.compress config: lossless=0, quality=50.0, method=3, alpha=0,0,0
2015-10-29 16:21:02,364 webp.compress ratio=118%
2015-10-29 16:21:02,364 WebPGetEncoderVersion()=0x403
2015-10-29 16:21:02,366 webp decompress found features: width=24, height=16, has_alpha=1, input rgb_format=None
2015-10-29 16:21:02,366 webp decompress found features: width=24, height=16, has_alpha=1, input rgb_format=None
2015-10-29 16:21:02,366 WebPGetDecoderVersion()=0x403
2015-10-29 16:21:02,727 xpra gtk2 client version 0.15.8 (r11050)
Fatal Python error: PyThreadState_Get: no current thread


N'ary a blink server side.


  • 0.14.32 - ./xpra attach -d all:
** (Xpra:2066): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

** (Xpra:2066): WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

** (Xpra:2066): WARNING **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
2015-10-29 16:17:08,083 cyxor loaded
2015-10-29 16:17:08,159 loading codecs
2015-10-29 16:17:08,163 PIL:
2015-10-29 16:17:08,163  codec_import_check('PIL', 'Python Imaging Library', 'PIL', 'PIL', ('Image',))
2015-10-29 16:17:08,163  PIL found, will check for ('Image',) in PIL
2015-10-29 16:17:08,164  found PIL : <module 'PIL' from '/Applications/Xpra.app/Contents/Resources/lib/python/PIL/__init__.pyc'>
2015-10-29 16:17:08,164 enc_vpx:
2015-10-29 16:17:08,164  codec_import_check('enc_vpx', 'vpx encoder', 'xpra.codecs.vpx', 'xpra.codecs.vpx.encoder', ('Encoder',))
2015-10-29 16:17:08,164  xpra.codecs.vpx found, will check for ('Encoder',) in xpra.codecs.vpx.encoder
2015-10-29 16:17:08,165  found enc_vpx : <module 'xpra.codecs.vpx.encoder' from '/Applications/Xpra.app/Contents/Resources/lib/python/xpra/codecs/vpx/encoder.so'>
2015-10-29 16:17:08,165 dec_vpx:
2015-10-29 16:17:08,165  codec_import_check('dec_vpx', 'vpx decoder', 'xpra.codecs.vpx', 'xpra.codecs.vpx.decoder', ('Decoder',))
2015-10-29 16:17:08,165  xpra.codecs.vpx found, will check for ('Decoder',) in xpra.codecs.vpx.decoder
2015-10-29 16:17:08,166  found dec_vpx : <module 'xpra.codecs.vpx.decoder' from '/Applications/Xpra.app/Contents/Resources/lib/python/xpra/codecs/vpx/decoder.so'>
2015-10-29 16:17:08,166  vpx info(xpra.codecs.vpx.encoder)={'build_config': '--libdir=/Users/MacAdmin/gtk/inst/lib --prefix=/Users/MacAdmin/gtk/inst --enable-vp8 --enable-vp9 --enable-pic --enable-static --target=x86-darwin8-gcc --disable-install-docs --enable-realtime-only --enable-runtime-cpu-detect', 'version': u'v1.3.0', 'abi_version': 6, 'encodings': ['vp8']}
2015-10-29 16:17:08,166 enc_x264:
2015-10-29 16:17:08,166  codec_import_check('enc_x264', 'x264 encoder', 'xpra.codecs.enc_x264', 'xpra.codecs.enc_x264.encoder', ('Encoder',))
2015-10-29 16:17:08,166  xpra.codecs.enc_x264 found, will check for ('Encoder',) in xpra.codecs.enc_x264.encoder
2015-10-29 16:17:08,167  found enc_x264 : <module 'xpra.codecs.enc_x264.encoder' from '/Applications/Xpra.app/Contents/Resources/lib/python/xpra/codecs/enc_x264/encoder.so'>
2015-10-29 16:17:08,167  x264 info(xpra.codecs.enc_x264.encoder)={'version': 148, 'formats': ['YUV422P', 'RGB', 'BGRX', 'BGR', 'YUV420P', 'BGRA', 'YUV444P']}
2015-10-29 16:17:08,167 enc_x265:
2015-10-29 16:17:08,167  codec_import_check('enc_x265', 'x265 encoder', 'xpra.codecs.enc_x265', 'xpra.codecs.enc_x265.encoder', ('Encoder',))
2015-10-29 16:17:08,167  cannot import enc_x265 (x265 encoder): No module named enc_x265
2015-10-29 16:17:08,168 
Traceback (most recent call last):
  File "/Users/MacAdmin/gtk/inst/lib/python2.7/site-packages/xpra/codecs/loader.py", line 26, in codec_import_check
ImportError: No module named enc_x265
2015-10-29 16:17:08,168  cannot import x265: No module named enc_x265.encoder
2015-10-29 16:17:08,168 
Traceback (most recent call last):
  File "/Users/MacAdmin/gtk/inst/lib/python2.7/site-packages/xpra/codecs/loader.py", line 66, in add_codec_version
ImportError: No module named enc_x265.encoder
2015-10-29 16:17:08,168 csc_swscale:
2015-10-29 16:17:08,168  codec_import_check('csc_swscale', 'swscale colorspace conversion', 'xpra.codecs.csc_swscale', 'xpra.codecs.csc_swscale.colorspace_converter', ('ColorspaceConverter',))
2015-10-29 16:17:08,168  xpra.codecs.csc_swscale found, will check for ('ColorspaceConverter',) in xpra.codecs.csc_swscale.colorspace_converter
2015-10-29 16:17:08,171 av_enum(AV_PIX_FMT_RGB24)=2
2015-10-29 16:17:08,171 av_enum(AV_PIX_FMT_BGR24)=3
2015-10-29 16:17:08,171 av_enum(AV_PIX_FMT_0RGB)=295
2015-10-29 16:17:08,171 av_enum(AV_PIX_FMT_BGR0)=298
2015-10-29 16:17:08,172 av_enum(AV_PIX_FMT_ARGB)=27
2015-10-29 16:17:08,172 av_enum(AV_PIX_FMT_BGRA)=30
2015-10-29 16:17:08,172 av_enum(AV_PIX_FMT_YUV420P)=0
2015-10-29 16:17:08,172 av_enum(AV_PIX_FMT_YUV422P)=4
2015-10-29 16:17:08,172 av_enum(AV_PIX_FMT_YUV444P)=5
2015-10-29 16:17:08,172 av_enum(AV_PIX_FMT_GBRP)=82
2015-10-29 16:17:08,172 swscale pixel formats: {'YUV422P': <xpra.codecs.csc_swscale.colorspace_converter.CSCPixelFormat object at 0x98bcb10>, 'BGR': <xpra.codecs.csc_swscale.colorspace_converter.CSCPixelFormat object at 0x98bca30>, 'BGRX': <xpra.codecs.csc_swscale.colorspace_converter.CSCPixelFormat object at 0x98bca68>, 'GBRP': <xpra.codecs.csc_swscale.colorspace_converter.CSCPixelFormat object at 0x98bcb80>, 'RGB': <xpra.codecs.csc_swscale.colorspace_converter.CSCPixelFormat object at 0x98bc9f8>, 'YUV420P': <xpra.codecs.csc_swscale.colorspace_converter.CSCPixelFormat object at 0x98bcaa0>, 'XRGB': <xpra.codecs.csc_swscale.colorspace_converter.CSCPixelFormat object at 0x98bcad8>, 'YUV444P': <xpra.codecs.csc_swscale.colorspace_converter.CSCPixelFormat object at 0x98bcb48>}
2015-10-29 16:17:08,172 colorspaces: ['RGB', 'BGR', 'XRGB', 'BGRX', 'YUV420P', 'YUV422P', 'YUV444P', 'GBRP']
2015-10-29 16:17:08,172 SWS_BICUBIC=4
2015-10-29 16:17:08,173 ('SWS_BICUBIC',)=4
2015-10-29 16:17:08,173 SWS_BICUBLIN=64
2015-10-29 16:17:08,173 ('SWS_BICUBLIN',)=64
2015-10-29 16:17:08,173 SWS_BILINEAR=2
2015-10-29 16:17:08,173 ('SWS_BILINEAR',)=2
2015-10-29 16:17:08,173 SWS_FAST_BILINEAR=1
2015-10-29 16:17:08,173 ('SWS_FAST_BILINEAR',)=1
2015-10-29 16:17:08,173 swscale flags: [(30, <xpra.codecs.csc_swscale.colorspace_converter.SWSFlags object at 0x98cc248>), (40, <xpra.codecs.csc_swscale.colorspace_converter.SWSFlags object at 0x98cc068>), (60, <xpra.codecs.csc_swscale.colorspace_converter.SWSFlags object at 0x98cc0f8>), (80, <xpra.codecs.csc_swscale.colorspace_converter.SWSFlags object at 0x98cc278>)]
2015-10-29 16:17:08,173  found csc_swscale : <module 'xpra.codecs.csc_swscale.colorspace_converter' from '/Applications/Xpra.app/Contents/Resources/lib/python/xpra/codecs/csc_swscale/colorspace_converter.so'>
2015-10-29 16:17:08,173  swscale info(xpra.codecs.csc_swscale.colorspace_converter)={'version': (3, 1, 101), 'formats': ['RGB', 'BGR', 'XRGB', 'BGRX', 'YUV420P', 'YUV422P', 'YUV444P', 'GBRP']}
2015-10-29 16:17:08,174 csc_cython:
2015-10-29 16:17:08,174  codec_import_check('csc_cython', 'cython colorspace conversion', 'xpra.codecs.csc_cython', 'xpra.codecs.csc_cython.colorspace_converter', ('ColorspaceConverter',))
2015-10-29 16:17:08,174  xpra.codecs.csc_cython found, will check for ('ColorspaceConverter',) in xpra.codecs.csc_cython.colorspace_converter
2015-10-29 16:17:08,175 csc_cython: byteorder(BGRA)=(0, 1, 2, 3)
2015-10-29 16:17:08,175 csc_cython: byteorder(BGR)=(2, 1, 0)
2015-10-29 16:17:08,175 csc_cython: byteorder(RGBX)=(0, 1, 2, 3)
2015-10-29 16:17:08,175 csc_cython: byteorder(RGB)=(2, 1, 0)
2015-10-29 16:17:08,175  found csc_cython : <module 'xpra.codecs.csc_cython.colorspace_converter' from '/Applications/Xpra.app/Contents/Resources/lib/python/xpra/codecs/csc_cython/colorspace_converter.so'>
2015-10-29 16:17:08,175  cython info(xpra.codecs.csc_cython.colorspace_converter)={'Cython': ['0', '23', '4'], 'version': [0, 3]}
2015-10-29 16:17:08,175 csc_opencl:
2015-10-29 16:17:08,175  codec_import_check('csc_opencl', 'OpenCL colorspace conversion', 'xpra.codecs.csc_opencl', 'xpra.codecs.csc_opencl.colorspace_converter', ('ColorspaceConverter',))
2015-10-29 16:17:08,175  cannot import csc_opencl (OpenCL colorspace conversion): No module named csc_opencl
2015-10-29 16:17:08,175 
Traceback (most recent call last):
  File "/Users/MacAdmin/gtk/inst/lib/python2.7/site-packages/xpra/codecs/loader.py", line 26, in codec_import_check
ImportError: No module named csc_opencl
2015-10-29 16:17:08,176  cannot import opencl: No module named csc_opencl.colorspace_converter
2015-10-29 16:17:08,176 
Traceback (most recent call last):
  File "/Users/MacAdmin/gtk/inst/lib/python2.7/site-packages/xpra/codecs/loader.py", line 66, in add_codec_version
ImportError: No module named csc_opencl.colorspace_converter
2015-10-29 16:17:08,176 dec_avcodec:
2015-10-29 16:17:08,176  codec_import_check('dec_avcodec', 'avcodec decoder', 'xpra.codecs.dec_avcodec', 'xpra.codecs.dec_avcodec.decoder', ('Decoder',))
2015-10-29 16:17:08,176  cannot import dec_avcodec (avcodec decoder): No module named dec_avcodec
2015-10-29 16:17:08,176 
Traceback (most recent call last):
  File "/Users/MacAdmin/gtk/inst/lib/python2.7/site-packages/xpra/codecs/loader.py", line 26, in codec_import_check
ImportError: No module named dec_avcodec
2015-10-29 16:17:08,176  cannot import avcodec: No module named dec_avcodec.decoder
2015-10-29 16:17:08,177 
Traceback (most recent call last):
  File "/Users/MacAdmin/gtk/inst/lib/python2.7/site-packages/xpra/codecs/loader.py", line 66, in add_codec_version
ImportError: No module named dec_avcodec.decoder
2015-10-29 16:17:08,177 dec_avcodec2:
2015-10-29 16:17:08,177  codec_import_check('dec_avcodec2', 'avcodec2 decoder', 'xpra.codecs.dec_avcodec2', 'xpra.codecs.dec_avcodec2.decoder', ('Decoder',))
2015-10-29 16:17:08,177  xpra.codecs.dec_avcodec2 found, will check for ('Decoder',) in xpra.codecs.dec_avcodec2.decoder
2015-10-29 16:17:08,179 avcodec2.init_module: CODECS=['h264', 'vp8', 'vp9', 'h265']
2015-10-29 16:17:08,179  found dec_avcodec2 : <module 'xpra.codecs.dec_avcodec2.decoder' from '/Applications/Xpra.app/Contents/Resources/lib/python/xpra/codecs/dec_avcodec2/decoder.so'>
2015-10-29 16:17:08,179  avcodec2 info(xpra.codecs.dec_avcodec2.decoder)={'version': (56, 60, 100), 'formats': {'formats.h265': ['YUV422P', 'BGRX', 'GBRP', 'RGB', 'YUV420P', 'BGRA', 'ARGB', 'XRGB', 'YUV444P'], 'formats.vp9': ['YUV420P'], 'formats.h264': ['YUV422P', 'BGRX', 'GBRP', 'RGB', 'YUV420P', 'BGRA', 'ARGB', 'XRGB', 'YUV444P'], 'formats.vp8': ['YUV420P']}, 'encodings': ['h264', 'vp8', 'vp9', 'h265']}
2015-10-29 16:17:08,179 enc_webp:
2015-10-29 16:17:08,179  codec_import_check('enc_webp', 'webp encoder', 'xpra.codecs.webp', 'xpra.codecs.webp.encode', ('compress',))
2015-10-29 16:17:08,180  xpra.codecs.webp found, will check for ('compress',) in xpra.codecs.webp.encode
2015-10-29 16:17:08,180  found enc_webp : <module 'xpra.codecs.webp.encode' from '/Applications/Xpra.app/Contents/Resources/lib/python/xpra/codecs/webp/encode.so'>
2015-10-29 16:17:08,180 dec_webp:
2015-10-29 16:17:08,181  codec_import_check('dec_webp', 'webp decoder', 'xpra.codecs.webp', 'xpra.codecs.webp.decode', ('decompress',))
2015-10-29 16:17:08,181  xpra.codecs.webp found, will check for ('decompress',) in xpra.codecs.webp.decode
2015-10-29 16:17:08,181  found dec_webp : <module 'xpra.codecs.webp.decode' from '/Applications/Xpra.app/Contents/Resources/lib/python/xpra/codecs/webp/decode.so'>
2015-10-29 16:17:08,181 done loading codecs
2015-10-29 16:17:08,181 found:
2015-10-29 16:17:08,182 * PIL                  : True       <module 'PIL' from '/Applications/Xpra.app/Contents/Resources/lib/python/PIL/__init__.pyc'>
2015-10-29 16:17:08,182 * enc_vpx              : True       <module 'xpra.codecs.vpx.encoder' from '/Applications/Xpra.app/Contents/Resources/lib/python/xpra/codecs/vpx/encoder.so'>
2015-10-29 16:17:08,182 * dec_vpx              : True       <module 'xpra.codecs.vpx.decoder' from '/Applications/Xpra.app/Contents/Resources/lib/python/xpra/codecs/vpx/decoder.so'>
2015-10-29 16:17:08,182 * enc_x264             : True       <module 'xpra.codecs.enc_x264.encoder' from '/Applications/Xpra.app/Contents/Resources/lib/python/xpra/codecs/enc_x264/encoder.so'>
2015-10-29 16:17:08,182 * enc_x265             : False      
2015-10-29 16:17:08,182 * csc_swscale          : True       <module 'xpra.codecs.csc_swscale.colorspace_converter' from '/Applications/Xpra.app/Contents/Resources/lib/python/xpra/codecs/csc_swscale/colorspace_converter.so'>
2015-10-29 16:17:08,182 * csc_cython           : True       <module 'xpra.codecs.csc_cython.colorspace_converter' from '/Applications/Xpra.app/Contents/Resources/lib/python/xpra/codecs/csc_cython/colorspace_converter.so'>
2015-10-29 16:17:08,182 * csc_opencl           : False      
2015-10-29 16:17:08,182 * dec_avcodec          : False      
2015-10-29 16:17:08,182 * dec_avcodec2         : True       <module 'xpra.codecs.dec_avcodec2.decoder' from '/Applications/Xpra.app/Contents/Resources/lib/python/xpra/codecs/dec_avcodec2/decoder.so'>
2015-10-29 16:17:08,182 * enc_webp             : True       <module 'xpra.codecs.webp.encode' from '/Applications/Xpra.app/Contents/Resources/lib/python/xpra/codecs/webp/encode.so'>
2015-10-29 16:17:08,182 * dec_webp             : True       <module 'xpra.codecs.webp.decode' from '/Applications/Xpra.app/Contents/Resources/lib/python/xpra/codecs/webp/decode.so'>
2015-10-29 16:17:08,182 codecs versions:
2015-10-29 16:17:08,183 * cython               : (0, 3, '0', '23', '4')
2015-10-29 16:17:08,183 * PIL                  : 3.0.0
2015-10-29 16:17:08,183 * enc_webp             : (0, 4, 3)
2015-10-29 16:17:08,183 * dec_webp             : (0, 4, 3)
2015-10-29 16:17:08,183 * vpx                  : v1.3.0
2015-10-29 16:17:08,183 * swscale              : (3, 1, 101)
2015-10-29 16:17:08,183 * x264                 : 148
2015-10-29 16:17:08,183 * numpy                : 1.8.1
2015-10-29 16:17:08,183 * avcodec2             : (56, 60, 100)
2015-10-29 16:17:08,192 xpra client version 0.14.32
Fatal Python error: PyThreadState_Get: no current thread


Also n'ary a blink from the server.

comment:16 Changed 3 years ago by Antoine Martin

Priority: criticalblocker

Blocker for stable updates.

@smo: do you get the same problem with your builds?
Can you use otool to identify the library linked with the wrong libpython?

comment:17 Changed 3 years ago by alas

Owner: changed from Smo to Antoine Martin

Tested OSX client 0.16.0 r11188 on a pair of clean 10.11 OSX machines, saw no issues with install or running them.

I think this long... odyssey might be sorted.

Handing this back to you antoine.

comment:18 Changed 3 years ago by Antoine Martin

Resolution: fixed
Status: newclosed

I really wished we knew why things that were broken are now working...
But I guess this will do.

Note: See TracTickets for help on using tickets.